Skip to main content
GET
/
api
/
hyperliquid
/
accounts
/
{account_id}
/
trading-stats
cURL
curl --request GET \
  --url https://api.production.hyperoru.com/api/hyperliquid/accounts/{account_id}/trading-stats \
  --header 'Authorization: Bearer <token>'
{
  "environment": "<string>",
  "exchange": "<string>",
  "total_pnl": 123,
  "total_trades": 123,
  "total_volume": 123,
  "period_days": 123,
  "win_rate": 123
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Path Parameters

account_id
integer<int32>
required

Account ID

Response

Trading statistics

Trading stats block.

environment
string
required
exchange
string
required
total_pnl
number<double>
required
total_trades
integer<int64>
required
total_volume
number<double>
required
period_days
integer<int32> | null
win_rate
number<double> | null